using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient ; 
using System.Configuration ;

namespace EGovDP1
{
	/// <summary>
	/// Summary description for ClientConsumeRequestService1_1.
	/// </summary>
	public class ClientConsumeRequestService1_1 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox txtMinistryID;
		protected System.Web.UI.WebControls.TextBox txtServiceID;
		protected System.Web.UI.WebControls.TextBox txtUNN;
		protected System.Web.UI.WebControls.TextBox txtColCount;
		protected System.Web.UI.WebControls.Panel Panel1;
		protected System.Web.UI.WebControls.TextBox txtSrviceName;
		protected System.Web.UI.WebControls.Button Button3;
		protected System.Web.UI.WebControls.TextBox txtRowCount;
		protected System.Web.UI.WebControls.LinkButton LinkButton1;
		protected System.Web.UI.WebControls.Button Button1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			//minsirtyid
			//serviceid
			//unn
			//servicename
   
			this.txtSrviceName.Text   =  this.Request.QueryString ["Output1"]; 
			this.txtUNN .Text =  this.Request.QueryString ["Output2"]; 
			this.txtServiceID.Text   =  this.Request.QueryString ["Output3"]; 


 
			//if(!this.IsPostBack )
			{
				 
				string constr=System.Configuration .ConfigurationSettings .AppSettings ["Con"];
				SqlConnection con=new SqlConnection (constr);
				
				SqlCommand cmd=con.CreateCommand ();
				cmd.CommandType =CommandType.Text ;
				 
				cmd.CommandText = "select * from ServiceItemDP1 where serviceid='" + this.txtServiceID.Text   +"'";

				SqlDataAdapter da=new SqlDataAdapter ();
				DataSet ds=new DataSet ();

				da.SelectCommand =cmd;
				da.Fill (ds,"serviceitem");

				int rowcount=ds.Tables ["serviceitem"].Rows .Count ;

				this.txtSrviceName.Text =rowcount.ToString (); 

				this.txtRowCount.Text = Convert.ToString (rowcount);


				Label l=new Label ();
				l.Text ="-      -";

			this.Panel1.Controls .Add (l); 

				for( int a=0;a<rowcount;a++)
				{
					DataRow dr=ds.Tables ["serviceitem"].Rows [a];
					Control c=Page.LoadControl ("EGovLabelValue.ascx");
					c.ID =String .Format ("{0}",a);
					((EGovLabelValue)c).Label =dr["ServiceItemName"].ToString ();
					((EGovLabelValue)c).ServiceItemName =dr["ServiceItemName"].ToString ();
					((EGovLabelValue)c).ServiceItemID = dr["ServiceItemID"].ToString () ;
					this.Panel1.Controls .Add (c);  
				}

				// add a button 
				Button bInsert=new Button ();
				bInsert.Text ="  Insert   ";
				bInsert.Click +=  new EventHandler(bInsert_Click);

				Button bCancel=new Button ();
				bCancel.Text ="  Cancel   ";
				bCancel.Click +=new EventHandler(bCancel_Click);

				

				this.Panel1.Controls .Add (bInsert);  
				this.Panel1.Controls .Add (bCancel);  


			}
		}

		private void bInsert_Click(object sender,System.EventArgs e)
		{
			string constr=System.Configuration .ConfigurationSettings .AppSettings ["Con"];
			SqlConnection con=new SqlConnection (constr);

			// exec insertServiceConsumeDetail

			SqlCommand ins=con.CreateCommand ();

			ins.CommandType =CommandType.StoredProcedure ;
			ins.CommandText ="insertServiceConsume";
 
			ins.Parameters.Add (new SqlParameter ("@ConsumerID",SqlDbType.Int ,4)); 
			ins.Parameters.Add (new SqlParameter ("@Payed",SqlDbType.Int ,4)); 
			ins.Parameters.Add (new SqlParameter ("@Date",SqlDbType.NVarChar ,10)); 
			ins.Parameters.Add (new SqlParameter ("@ID",SqlDbType.Int ,4)); 

			ins.Parameters["@ID"].Direction =ParameterDirection.Output ;

			// Construct date month day year
			string date=String.Format ("1-{0}-{1}", System.DateTime.Now.Month , System.DateTime.Now.Year );

			ins.Parameters ["@ConsumerID"].Value =this.txtUNN.Text ; 
			ins.Parameters ["@Payed"].Value ="0";
			ins.Parameters ["@Date"].Value =date;
		

			con.Open ();
			ins.ExecuteNonQuery ();
			// holds the consumeid
			int consumeid = Convert.ToInt32 (  ins.Parameters ["@id"].Value  ) ;
			//this.Response.Output.WriteLine ("cbdsgsd{0}",ins.Parameters ["@id"].Value);  
			con.Close ();
			
			SqlCommand cmd=con.CreateCommand ();
			SqlCommand sel =con.CreateCommand ();

			SqlDataAdapter da=new SqlDataAdapter ();
			DataSet ds=new DataSet ();

			cmd.CommandType =CommandType.Text ;
			cmd.CommandText ="Insert into ServiceConsumeProcessDetailsDP1(ServiceItemID,ServiceConsumeID,ServiceItemValue)values(@ServiceItemID,@ServiceConsumeID,@ServiceItemValue)";
 		
			sel.CommandType =CommandType.Text ;
			sel.CommandText ="select * from ServiceConsumeProcessDetailsDP1";

			cmd.Parameters.Add ("@ServiceItemID",System.Data.SqlDbType.Int,4 ,"ServiceItemID") ;  
			cmd.Parameters.Add ("@ServiceConsumeID",System.Data.SqlDbType.Int,4 ,"ServiceConsumeID")   ;
			cmd.Parameters.Add ("@ServiceItemValue",System.Data.SqlDbType.NVarChar  ,20,"ServiceItemValue")   ;

			da.SelectCommand =sel;
			da.InsertCommand =cmd;

			da.Fill (ds,"insert");

			


			int rowcount=Convert.ToInt16 (this.txtRowCount .Text );
	 
			for(int a=0;a<rowcount;a++)
			{

				DataRow dr=ds.Tables ["insert"].NewRow ();
				 
				Control c=  this.Panel1.FindControl ( String .Format ("{0}",a));
				
				dr["ServiceItemID"]= String.Format ("{0}",((EGovLabelValue)c).ServiceItemID);
				
				dr["ServiceConsumeID"]=  consumeid    ;
				 
				dr["ServiceItemValue"]=String.Format ("{0}",((EGovLabelValue)c).ServiceItemName); 
				
				ds.Tables ["insert"].Rows.Add (dr);
 
				this.Response .Output .WriteLine ("{0}",((EGovLabelValue)c).Label ); 
 			  
				 
			}
			da.Update (ds,"insert");


			this.Response.Redirect ("default.htm"); 
			 
		
		}

		private void bCancel_Click(object sender,System.EventArgs e)
		{
			this.Response.Redirect ("default.htm"); 
		
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.LinkButton1.Click += new System.EventHandler(this.LinkButton1_Click);
			this.Button3.Click += new System.EventHandler(this.Button3_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button3_Click(object sender, System.EventArgs e)
		{
//			string constr=System.Configuration .ConfigurationSettings .AppSettings ["Con"];
//			SqlConnection con=new SqlConnection (constr);
//
//			// exec insertServiceConsumeDetail
//
//			SqlCommand ins=con.CreateCommand ();
//
//			ins.CommandType =CommandType.StoredProcedure ;
//			ins.CommandText ="insertServiceConsume";
// 
//			ins.Parameters.Add (new SqlParameter ("@ConsumerID",SqlDbType.Int ,4)); 
//			ins.Parameters.Add (new SqlParameter ("@Payed",SqlDbType.Int ,4)); 
//			ins.Parameters.Add (new SqlParameter ("@Date",SqlDbType.NVarChar ,10)); 
//			ins.Parameters.Add (new SqlParameter ("@ID",SqlDbType.Int ,4)); 
//
//			ins.Parameters["@ID"].Direction =ParameterDirection.Output ;
//
//			// Construct date month day year
//			string date=String.Format ("1-{0}-{1}", System.DateTime.Now.Month , System.DateTime.Now.Year );
//
//			ins.Parameters ["@ConsumerID"].Value =this.txtUNN.Text ; 
//			ins.Parameters ["@Payed"].Value ="0";
//			ins.Parameters ["@Date"].Value =date;
//		
//
//			con.Open ();
//			ins.ExecuteNonQuery ();
//			// holds the consumeid
//			int consumeid = Convert.ToInt32 (  ins.Parameters ["@id"].Value  ) ;
//			//this.Response.Output.WriteLine ("cbdsgsd{0}",ins.Parameters ["@id"].Value);  
//			con.Close ();
//			
//			SqlCommand cmd=con.CreateCommand ();
//			SqlCommand sel =con.CreateCommand ();
//
//			SqlDataAdapter da=new SqlDataAdapter ();
//			DataSet ds=new DataSet ();
//
//			cmd.CommandType =CommandType.Text ;
//			cmd.CommandText ="Insert into ServiceConsumeProcessDetailsDP1(ServiceItemID,ServiceConsumeID,ServiceItemValue)values(@ServiceItemID,@ServiceConsumeID,@ServiceItemValue)";
// 		
//			sel.CommandType =CommandType.Text ;
//			sel.CommandText ="select * from ServiceConsumeProcessDetailsDP1";
//
//			cmd.Parameters.Add ("@ServiceItemID",System.Data.SqlDbType.Int,4 ,"ServiceItemID") ;  
//			cmd.Parameters.Add ("@ServiceConsumeID",System.Data.SqlDbType.Int,4 ,"ServiceConsumeID")   ;
//			cmd.Parameters.Add ("@ServiceItemValue",System.Data.SqlDbType.NVarChar  ,20,"ServiceItemValue")   ;
//
//			da.SelectCommand =sel;
//			da.InsertCommand =cmd;
//
//			da.Fill (ds,"insert");
//
//			
//
//
//			int rowcount=Convert.ToInt16 (this.txtRowCount .Text );
//	 
//			for(int a=0;a<rowcount;a++)
//			{
//
//				DataRow dr=ds.Tables ["insert"].NewRow ();
//				 
//				Control c=  this.Panel1.FindControl ( String .Format ("{0}",a));
//				
//				dr["ServiceItemID"]= String.Format ("{0}",((EGovLabelValue)c).ServiceItemID);
//				
//				dr["ServiceConsumeID"]=  consumeid    ;
//				 
//				dr["ServiceItemValue"]=String.Format ("{0}",((EGovLabelValue)c).ServiceItemName); 
//				
//				ds.Tables ["insert"].Rows.Add (dr);
// 
//				this.Response .Output .WriteLine ("{0}",((EGovLabelValue)c).Label ); 
// 			  
//				 
//			}
//			da.Update (ds,"insert");
		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
			this.Response .Redirect ("default.htm");
		}

		private void LinkButton1_Click(object sender, System.EventArgs e)
		{
			this.Response.Redirect ("default.htm");
		}
	}
}
